co.aikar.commands

## Class BungeeCommandManager

- java.lang.Object
- - co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>
  - - co.aikar.commands.BungeeCommandManager

    public class BungeeCommandManager
    extends co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>

### Field Summary

Fields
`protected BungeeCommandCompletions` `completions`
`protected BungeeCommandContexts` `contexts`
`protected BungeeLocales` `locales`
`protected net.md_5.bungee.api.plugin.Plugin` `plugin`
`protected Map<String,BungeeRootCommand>` `registeredCommands`

### Fields inherited from class co.aikar.commands.CommandManager

`conditions, defaultExceptionHandler, defaultFormatter, defaultHelpPerPage, dependencies, formatters, helpFormatter, issuersLocale, localeChangedCallbacks, replacements, rootCommands, supportedLanguages, usePerIssuerLocale`

### Constructor Summary

Constructors
Constructor and Description
`BungeeCommandManager(net.md_5.bungee.api.plugin.Plugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BungeeCommandExecutionContext` `createCommandContext(co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandParameter parameter, co.aikar.commands.CommandIssuer sender, List<String> args, int i, Map<String,Object> passedArgs)`
`co.aikar.commands.CommandCompletionContext` `createCompletionContext(co.aikar.commands.RegisteredCommand command, co.aikar.commands.CommandIssuer sender, String input, String config, String[] args)`
`BungeeConditionContext` `createConditionContext(co.aikar.commands.CommandIssuer issuer, String config)`
`co.aikar.commands.RegisteredCommand` `createRegisteredCommand(co.aikar.commands.BaseCommand command, String cmdName, Method method, String prefSubCommand)`
`co.aikar.commands.RootCommand` `createRootCommand(String cmd)`
`co.aikar.commands.CommandCompletions<BungeeCommandCompletionContext>` `getCommandCompletions()`
`co.aikar.commands.CommandContexts<BungeeCommandExecutionContext>` `getCommandContexts()`
`BungeeCommandIssuer` `getCommandIssuer(Object issuer)`
`String` `getCommandPrefix(co.aikar.commands.CommandIssuer issuer)`
`BungeeLocales` `getLocales()`
`net.md_5.bungee.api.plugin.Plugin` `getPlugin()`
`Collection<co.aikar.commands.RootCommand>` `getRegisteredRootCommands()`
`boolean` `hasRegisteredCommands()`
`boolean` `isCommandIssuer(Class<?> aClass)`
`void` `log(co.aikar.commands.LogLevel level, String message, Throwable throwable)`
`void` `readLocale(net.md_5.bungee.api.connection.ProxiedPlayer player)`
`void` `registerCommand(co.aikar.commands.BaseCommand command)`
`void` `unregisterCommand(co.aikar.commands.BaseCommand command)`
`void` `unregisterCommand(BungeeRootCommand command)`
`void` `unregisterCommands()`

### Methods inherited from class co.aikar.commands.CommandManager

`addSupportedLanguage, enableUnstableAPI, formatMessage, generateCommandHelp, generateCommandHelp, generateCommandHelp, generateCommandHelp, getCommandConditions, getCommandReplacements, getCurrentCommandIssuer, getCurrentCommandManager, getCurrentCommandOperationContext, getDefaultExceptionHandler, getDefaultFormatter, getDefaultHelpPerPage, getFormat, getHelpFormatter, getIssuerLocale, getRootCommand, getSupportedLanguages, handleUncaughtException, hasPermission, isLoggingUnhandledExceptions, log, notifyLocaleChange, obtainRootCommand, onLocaleChange, registerDependency, registerDependency, sendMessage, sendMessage, setDefaultExceptionHandler, setDefaultExceptionHandler, setDefaultFormatter, setDefaultHelpPerPage, setFormat, setFormat, setFormat, setHelpFormatter, setIssuerLocale, usePerIssuerLocale, usingPerIssuerLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### plugin

    protected final net.md_5.bungee.api.plugin.Plugin plugin

#### registeredCommands

    protected Map<String,BungeeRootCommand> registeredCommands

#### contexts

    protected BungeeCommandContexts contexts

#### completions

    protected BungeeCommandCompletions completions

#### locales

    protected BungeeLocales locales

### Constructor Detail

#### BungeeCommandManager

    public BungeeCommandManager(net.md_5.bungee.api.plugin.Plugin plugin)

### Method Detail

#### getPlugin

    public net.md_5.bungee.api.plugin.Plugin getPlugin()

#### getCommandContexts

    public co.aikar.commands.CommandContexts<BungeeCommandExecutionContext> getCommandContexts()

Specified by:
  `getCommandContexts` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### getCommandCompletions

    public co.aikar.commands.CommandCompletions<BungeeCommandCompletionContext> getCommandCompletions()

Specified by:
  `getCommandCompletions` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### getLocales

    public BungeeLocales getLocales()

Specified by:
  `getLocales` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### readLocale

    public void readLocale(net.md_5.bungee.api.connection.ProxiedPlayer player)

#### registerCommand

    public void registerCommand(co.aikar.commands.BaseCommand command)

Specified by:
  `registerCommand` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### unregisterCommand

    public void unregisterCommand(co.aikar.commands.BaseCommand command)

#### unregisterCommand

    public void unregisterCommand(BungeeRootCommand command)

#### unregisterCommands

    public void unregisterCommands()

#### hasRegisteredCommands

    public boolean hasRegisteredCommands()

Specified by:
  `hasRegisteredCommands` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### isCommandIssuer

    public boolean isCommandIssuer(Class<?> aClass)

Specified by:
  `isCommandIssuer` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### getCommandIssuer

    public BungeeCommandIssuer getCommandIssuer(Object issuer)

Specified by:
  `getCommandIssuer` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### createRootCommand

    public co.aikar.commands.RootCommand createRootCommand(String cmd)

Specified by:
  `createRootCommand` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### getRegisteredRootCommands

    public Collection<co.aikar.commands.RootCommand> getRegisteredRootCommands()

Specified by:
  `getRegisteredRootCommands` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### createCommandContext

    public BungeeCommandExecutionContext createCommandContext(co.aikar.commands.RegisteredCommand command,
                                                              co.aikar.commands.CommandParameter parameter,
                                                              co.aikar.commands.CommandIssuer sender,
                                                              List<String> args,
                                                              int i,
                                                              Map<String,Object> passedArgs)

Specified by:
  `createCommandContext` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### createCompletionContext

    public co.aikar.commands.CommandCompletionContext createCompletionContext(co.aikar.commands.RegisteredCommand command,
                                                                              co.aikar.commands.CommandIssuer sender,
                                                                              String input,
                                                                              String config,
                                                                              String[] args)

Specified by:
  `createCompletionContext` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### createRegisteredCommand

    public co.aikar.commands.RegisteredCommand createRegisteredCommand(co.aikar.commands.BaseCommand command,
                                                                       String cmdName,
                                                                       Method method,
                                                                       String prefSubCommand)

Overrides:
  `createRegisteredCommand` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### createConditionContext

    public BungeeConditionContext createConditionContext(co.aikar.commands.CommandIssuer issuer,
                                                         String config)

Overrides:
  `createConditionContext` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### log

    public void log(co.aikar.commands.LogLevel level,
                    String message,
                    Throwable throwable)

Specified by:
  `log` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`

#### getCommandPrefix

    public String getCommandPrefix(co.aikar.commands.CommandIssuer issuer)

Overrides:
  `getCommandPrefix` in class `co.aikar.commands.CommandManager<net.md_5.bungee.api.CommandSender,BungeeCommandIssuer,net.md_5.bungee.api.ChatColor,BungeeMessageFormatter,BungeeCommandExecutionContext,BungeeConditionContext>`